<div *ngIf="Items.length === 0"
     class="row no-gutters loading-carousel mt-4">
    <div class="col-11 col-xl-10 mx-auto d-flex justify-content-center align-items-center bg-tw-dark4 mb-2 title-unload text-tw-white">
        در حال لود شدن
    </div>
    <div class="col-11 col-xl-10 mx-auto d-flex justify-content-center align-items-center bg-tw-dark4 mb-5 content-unload">
        <i class="fa fa-spinner fa-3x text-tw-white"></i>
    </div>
</div>
<div class="row no-gutters direction-rtl"
     *ngIf="Items && Items.length">
    <div class="col-12 py-4">
        <div class="row no-gutters bg-tw-dark3 mb-2 carousel-title px-4 text-tw-white d-flex align-items-center justify-content-between">
            <span class="pointer no-outline"
                  routerLink="{{TitleRoute}}">{{Title}}</span>
            <span class="text-tw-blue pointer no-outline"
                  routerLink="{{TitleRoute}}">بیشتر</span>
        </div>
        <div class="row no-gutters bg-tw-dark4 item-content"
             [ngClass]="{'type-channels py-4 px-3': type_channels, 'type-movies': type_movie, 'type-episodes px-1': type_episodes, 'type-suggestion px-4 py-3': type_suggestion}">
            <div *ngIf="Type === generalService.configs.carouselTypes.episodes"
                 class="col py-3">
                <div class="row no-gutters h-100">
                    <div class="col-5 text-right bold-pic d-none d-lg-block px-3 pointer">
                        <img [lazyLoad]="Items[0].getLargePicturePath()"
                             [offset]="0"
                             [defaultImage]="generalService.configs.default_image_poster"
                             *ngIf="Title !== 'کارتون'"
                             [routerLink]="['/episode', Items[0].getId()]"
                             class="w-100">
                        <img [lazyLoad]="Items[0].getCoverImageName()"
                             [offset]="0"
                             [defaultImage]="generalService.configs.default_image_poster"
                             *ngIf="Title === 'کارتون'"
                             [routerLink]="['/program', Items[0].getId()]"
                             class="w-100">
                        <i class="fa fa-play fa-4x text-tw-red pointer no-outline"
                           [routerLink]="[Title === 'کارتون' ? '/program/' + Items[0].getId() : '/episode/' + Items[0].getId()]"></i>
                        <div class="bg-tw-dark4 p-1 px-2 time-box text-tw-white row no-gutters"
                             [routerLink]="['/episode', Items[0].getId()]"
                             *ngIf="Title !== 'کارتون'">
                            <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                            <span class="font-iransans-bold">
                                {{Items[ 0 ].getDurationMins() | numberToPersian}}
                            </span>
                        </div>
                        <div class="description-episode row no-gutters mt-2 px-3 py-2"
                             [routerLink]="[Title === 'کارتون' ? '/program/' + Items[0].getId() : '/episode/' + Items[0].getId()]">
                            <div class="col-12 py-2 text-truncate">
                                <span class="row no-gutters text-tw-white mb-2">
                                    {{Items[ 0 ].getTitle()}}
                                </span>
                                <span class="row no-gutters text-tw-gray3 mb-2 des-info"
                                      *ngIf="Title !== 'کارتون'">
                                    {{Items[ 0 ].getProgram().getTitle()}}
                                </span>
                                <span class="row no-gutters text-tw-gray3 des-info">
                                    <i class="fa fa-eye ml-2"></i>
                                    {{Items[ 0 ].getViewCount().toString() | number | numberToPersian}}
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-7 other-pic px-3">
                        <div class="row no-gutters other-episodes h-100">
                            <div *ngFor="let item of Items"
                                 class="text-right mb-3 col item pointer">
                                <img [lazyLoad]="item.getLargePicturePath()"
                                     [offset]="0"
                                     [defaultImage]="generalService.configs.default_image_poster"
                                     [routerLink]="['/episode', item.getId()]"
                                     *ngIf="Title !== 'کارتون'">
                                <img [lazyLoad]="item.getCoverImageName()"
                                     [offset]="0"
                                     [defaultImage]="generalService.configs.default_image_poster"
                                     [routerLink]="['/program', item.getId()]"
                                     *ngIf="Title === 'کارتون'">
                                <i class="fa fa-play fa-3x text-tw-red pointer no-outline"
                                   [routerLink]="[Title === 'کارتون' ? '/program/' + item.getId() : '/episode/' + item.getId()]"></i>
                                <div class="bg-tw-dark4 p-1 px-2 time-box text-tw-white row no-gutters"
                                     [routerLink]="['/episode', item.getId()]"
                                     *ngIf="Title !== 'کارتون'">
                                    <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                                    <span class="font-iransans-bold">
                                        {{item.getDurationMins() | numberToPersian}}
                                    </span>
                                </div>
                                <div class="description-episode row no-gutters mt-2 w-100"
                                     [routerLink]="[Title === 'کارتون' ? '/program/' + item.getId() : '/episode/' + item.getId()]">
                                    <div class="col-12 text-right text-truncate text-tw-white py-1 px-2">
                                        <span>{{item.getTitle()}}</span>
                                        <br>
                                        <span class="text-tw-gray3">
                                        <i class="fa fa-eye ml-1"></i>
                                            {{item.getViewCount().toString() | number | numberToPersian}}
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="Type === generalService.configs.carouselTypes.suggestion"
                 class="col">
                <div class="row no-gutters h-100">
                    <div class="col-lg-12 scroll-suggestion">
                        <div class="row no-gutters h-100 d-lg-flex justify-content-lg-between">
                            <div *ngFor="let item of Items"
                                 class="text-right mb-3 suggestion pointer"
                                 [routerLink]="['/episode', item.getId()]">
                                <img [lazyLoad]="item.getLargePicturePath()"
                                     [offset]="0"
                                     [defaultImage]="generalService.configs.default_image_poster"
                                     class="w-100">
                                <i class="fa fa-play fa-3x text-tw-red pointer"></i>
                                <div class="bg-tw-dark4 p-1 px-2 time-box text-tw-white row no-gutters"
                                     *ngIf="Title !== 'کارتون'">
                                    <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                                    <span class="font-iransans-bold">
                                        {{item.getDurationMins() | numberToPersian}}
                                    </span>
                                </div>
                                <div class="text-tw-white info bg-tw-dark3 mt-2 p-2">
                                    <div class="text-truncate">{{item.getTitle()}}</div>
                                    <div class="text-tw-gray3 text-truncate my-2">{{item.getProgram().getTitle()}}</div>
                                    <div class="text-tw-gray3">
                                        <i class="fa fa-eye ml-2"></i>
                                        <span>{{item.getViewCount().toString() | number | numberToPersian}}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="Type === generalService.configs.carouselTypes.hourly_archive"
                 class="col type-hourly-archive">
                <div class="row no-gutters h-100">
                    <div class="col-lg-12 scroll-hourly-archive">
                        <div class="row no-gutters h-100 d-lg-flex justify-content-lg-between p-3">
                            <div *ngFor="let item of Items"
                                 class="text-right mb-3 hourly-archive">
                                <img *ngIf="IsLazyLoadImage"
                                     [lazyLoad]="item.getPicturePath()"
                                     [offset]="0"
                                     [defaultImage]="generalService.configs.default_image_poster"
                                     (click)="selectHourlyArchive(item)"
                                     class="w-100 pointer">
                                <i class="fa fa-play fa-3x text-tw-red pointer"
                                   (click)="selectHourlyArchive(item)"></i>
                                <div class="text-tw-white info bg-tw-dark3 mt-2 p-2 pointer"
                                     (click)="selectHourlyArchive(item)">
                                    <div class="text-truncate">{{item.getTitle() | numberToPersian}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-2 text-tw-white text-center d-none"
                 [ngClass]="{'col-12 p-0 box-size': type_channels, 'col-12 p-3 d-block item': type_movie}"
                 *ngFor="let item of Items">
                <img *ngIf="Type === generalService.configs.carouselTypes.movies"
                     [lazyLoad]="item.getProgram().getBackgroundImageName()"
                     [offset]="0"
                     [defaultImage]="generalService.configs.default_image_poster"
                     [routerLink]="['/episode/' + item.getId()]"
                     class="w-100 pointer no-outline">
                <img *ngIf="Type === generalService.configs.carouselTypes.series"
                     [lazyLoad]="item.getBackgroundImageName()"
                     [offset]="0"
                     [defaultImage]="generalService.configs.default_image_poster"
                     class="w-100 pointer no-outline"
                     [routerLink]="['/program', item.getId()]">
                <i class="fa fa-play fa-3x text-tw-red pointer no-outline"
                   [routerLink]="[Type === generalService.configs.carouselTypes.movies ?  '/episode/' + item.getId() : '/program/'+ item.getId() ]"
                   *ngIf="type_movie"></i>
                <div *ngIf="type_channels"
                     class="justify-content-center row no-gutters">
                    <div class="col-12 channel-box px-2 pb-4">
                        <div class="align-items-center icon-box d-flex justify-content-center mx-auto bg-tw-red pointer no-outline w-100"
                             [routerLink]="['/live', item.getDescriptor()]">
                            <img [lazyLoad]="item.getImageName()"
                                 [offset]="0"
                                 [defaultImage]="generalService.configs.default_image_poster"
                                 *ngIf="IsLazyLoadImage"
                                 class="w-75">
                            <img src="{{item.getImageName()}}"
                                 *ngIf="!IsLazyLoadImage">
                        </div>
                        <div class="mx-auto bg-tw-crimson py-2 pointer no-outline w-100"
                             [routerLink]="['/live', item.getDescriptor()]">
                            {{item.getName()}}
                        </div>
                    </div>
                </div>
                <div class="row no-gutters time-box bg-tw-dark4 p-1 px-2 no-outline"
                     [routerLink]="['/episode', item.getId()]"
                     *ngIf="Type === generalService.configs.carouselTypes.movies">
                    <i class="fa fa-clock-o d-flex align-items-center mr-2"></i>
                    <span class="font-iransans-bold">
                        {{item.getDurationMins() | numberToPersian}}
                    </span>
                </div>
                <div class="w-100 bg-tw-dark3 item-caption mt-2 text-right px-2 pointer no-outline"
                     [routerLink]="[Type === generalService.configs.carouselTypes.movies ?  '/episode/' + item.getId() : '/program/'+ item.getId() ]"
                     *ngIf="type_movie">
                    <div class="py-2">
                        <span class="text-nowrap text-truncate">
                            {{item.getTitle()}}
                        </span>
                    </div>
                    <div>
                        <i class="fa fa-eye ml-2 text-tw-gray3"></i>
                        <span class="view-count text-tw-gray3">
                            {{item.getViewCount() | number | numberToPersian}}
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
